Upsert engagement agreement details

Creates or updates the engagement agreement details for an employment.

This endpoint requires country-specific data. The exact required fields will vary depending on
which country the employment is in. To see the list of parameters for each country, see the
Show form schema endpoint under the Countries category.

Please note that compliance requirements for each country are subject to change according to local laws.
Using Remote's json-schema-form is recommended
to avoid compliance issues and to have the latest version of a country's requirements.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employments (employments)-Manage employments (employment:write)
Company-scoped access token (assertion)Manage employments (employments)-Manage employments (employment:write)
Customer API tokenManage employments (employments)-Manage employments (employment:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Employment ID

Body Params

Employment engagement agreement details params

Engagement agreement details schema compatible params.

engagement_agreement_details
required

Engagement agreement details params. As its properties may vary depending on the country,
you must query the Show form schema endpoint
passing the country code and the engagement_agreement_details form name.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json